AbstractSingleParentFamilyChildDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.delegate.AbstractSingleParentFamilyChildDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.delegate
Class AbstractSingleParentFamilyChildDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
              org.mule.config.spring.parsers.delegate.AbstractSerialDelegatingDefinitionParser
                  org.mule.config.spring.parsers.delegate.AbstractFirstResultSerialDefinitionParser
                      org.mule.config.spring.parsers.delegate.AbstractSingleParentFamilyDefinitionParser
                          org.mule.config.spring.parsers.delegate.AbstractSingleParentFamilyChildDefinitionParser

All Implemented Interfaces:
  MuleChildDefinitionParser, MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

Direct Known Subclasses:
  EndpointPropertyElementDefinitionParser

    public class AbstractSingleParentFamilyChildDefinitionParser

extends AbstractSingleParentFamilyDefinitionParser
implements MuleChildDefinitionParser

Field Summary

Fields inherited from class org.mule.config.spring.parsers.delegate.AbstractFirstResultSerialDefinitionParser
`firstDefinition`

Fields inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`logger`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`AbstractSingleParentFamilyChildDefinitionParser()`

Method Summary
`protected MuleDefinitionParserConfiguration` | `addDelegate(MuleDefinitionParser delegate)`
`void` | `forceParent(org.springframework.beans.factory.config.BeanDefinition parent)`
`PropertyConfiguration` | `getTargetPropertyConfiguration()`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractSingleParentFamilyDefinitionParser
`addChildDelegate, addDelegateAsChild, doSingleBean`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractFirstResultSerialDefinitionParser
`setReturnFirstResult`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractSerialDelegatingDefinitionParser
`addHandledException, disableAttribute, disableAttributes, disableAttributes, enableAttribute, enableAttributes, enableAttributes, enableAttributes, isExceptionHandled, muleParse, resetAttribute, resetNameAndId`

Methods inherited from class org.mule.config.spring.parsers.delegate.AbstractDelegatingDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, getBeanName, getDelegate, parseInternal, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault, size`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParser
`getBeanName, muleParse`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParserConfiguration
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault`

Constructor Detail

### AbstractSingleParentFamilyChildDefinitionParser

    public AbstractSingleParentFamilyChildDefinitionParser()

Method Detail

### addDelegate

    protected MuleDefinitionParserConfiguration addDelegate(MuleDefinitionParser delegate)

  Overrides:
    `addDelegate` in class `AbstractSingleParentFamilyDefinitionParser`

### forceParent

    public void forceParent(org.springframework.beans.factory.config.BeanDefinition parent)

  Specified by:
    `forceParent` in interface `MuleChildDefinitionParser`

### getTargetPropertyConfiguration

    public PropertyConfiguration getTargetPropertyConfiguration()

  Specified by:
    `getTargetPropertyConfiguration` in interface `MuleChildDefinitionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.